//-------------------------------------------------------------------------
//   Copyright 2002-2023 National Technology & Engineering Solutions of
//   Sandia, LLC (NTESS).  Under the terms of Contract DE-NA0003525 with
//   NTESS, the U.S. Government retains certain rights in this software.
//
//   This file is part of the Xyce(TM) Parallel Electrical Simulator.
//
//   Xyce(TM) is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   Xyce(TM) is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with Xyce(TM).
//   If not, see <http://www.gnu.org/licenses/>.
//-------------------------------------------------------------------------

//-------------------------------------------------------------------------
//
// Purpose        : 
//
// Special Notes  :
//
// Creator        : Eric Keiter, SNL, Parallel Computational Sciences
//
// Creation Date  : 02/11/07
//
//
//
//
//-------------------------------------------------------------------------

#ifndef Xyce_N_NLS_TwoLevelEnum_h
#define Xyce_N_NLS_TwoLevelEnum_h

namespace Xyce {
namespace Nonlinear {

// enumerated type.
enum TwoLevelNewtonMode
{
  FULL_PROBLEM,    // 0
  INNER_PROBLEM,   // 1
  OUTER_PROBLEM    // 2
}; 

} // namespace Nonlinear
} // namespace Xyce

#endif // Xyce_N_NLS_TwoLevelEnum_h

