#ifndef  Xyce_CONFIG_H
#define  Xyce_CONFIG_H

// Compile Xyce for MPI parallelism
#define Xyce_PARALLEL_MPI

// Trilinos
/* #undef Xyce_SHYLU */
#define Xyce_AMESOS2
#define Xyce_AMESOS2_KLU2
#define Xyce_AMESOS2_BASKER
#define Xyce_AMESOS2_SHYLUBASKER
#define Xyce_NEW_BASKER
#define Xyce_STOKHOS_ENABLE
#define Xyce_ROL
#define Xyce_USE_ISORROPIA

// Trilinos TPLs
#define Xyce_AMD

// FFT
#define Xyce_USE_FFT
/* #undef Xyce_USE_INTEL_FFT */
#define Xyce_USE_FFTW

// Binary Restart files
/* #undef Xyce_RESTART_NOPACK */

// Enable usage tracking
/* #undef Xyce_USE_CURL */
/* #undef Xyce_TRACKING_URL */

// Dakota coupling
/* #undef Xyce_Dakota */

// Windows features
/* #undef HAVE_WINDOWS_H */
/* #undef HAVE_WIN_DIRCOMMANDS */
/* #undef _CRT_SECURE_NO_WARNINGS */
/* #undef HAVE_DIRECT_H */

// POSIX features
#define HAVE_DLFCN_H
#define HAVE_DRAND48
#define HAVE_UNISTD_H
#define HAVE_SYS_RESOURCE_H
#define HAVE_SYS_STAT_H
#define HAVE_MALLOC_H
#define HAVE_MALLINFO
#define HAVE_PWD_H
#define HAVE_GETPWUID
#define HAVE_GETHOSTNAME
#define HAVE_GETDOMAINNAME
#define HAVE_SYS_UTSNAME_H
#define HAVE_UNAME

// Reaction parser
#define Xyce_REACTION_PARSER
/* #undef YY_NO_UNISTD_H */

// Build directories
#define Xyce_ADMS_MODELS
/* #undef Xyce_NONFREE_MODELS */
#define Xyce_NEURON_MODELS
/* #undef Xyce_RAD_MODELS */
/* #undef Xyce_ATHENA */
// This is not in the CMake at the moment
/* #undef Xyce_MODSPEC_MODELS */

// Add the NOX solver statistics, if available
#define Xyce_NOX_SOLVERSTATS

// Enable analytic sensitivities in ADMS-generated devices
#define Xyce_ADMS_SENSITIVITIES

// Support for Charon coupling
/* #undef Xyce_CHARON */

// Support of Simulink interface
/* #undef Xyce_SIMULINK */

// Verbose output
/* #undef Xyce_VERBOSE_CONDUCTANCE */
/* #undef Xyce_VERBOSE_LINEAR */
/* #undef Xyce_VERBOSE_NONLINEAR */
/* #undef Xyce_VERBOSE_NOX */
/* #undef Xyce_VERBOSE_TIME */

// Debug output
/* #undef Xyce_DEBUG_ALL_PROCS_SAME_WD */
/* #undef Xyce_DEBUG_ANALYSIS */
/* #undef Xyce_DEBUG_CIRCUIT */
/* #undef Xyce_DEBUG_CONDUCTANCE */
/* #undef Xyce_DEBUG_DEVICE */
/* #undef Xyce_DEBUG_DISTRIBUTION */
/* #undef Xyce_DEBUG_EXCESS_PHASE */
/* #undef Xyce_DEBUG_EXPRESSION */
/* #undef Xyce_DEBUG_HB */
/* #undef Xyce_DEBUG_IC */
/* #undef Xyce_DEBUG_IC_Gmin */
/* #undef Xyce_DEBUG_IO */
/* #undef Xyce_DEBUG_LINEAR */
/* #undef Xyce_DEBUG_MOR */
/* #undef Xyce_DEBUG_MPDE */
/* #undef Xyce_DEBUG_MPI */
/* #undef Xyce_DEBUG_NONLINEAR */
/* #undef Xyce_DEBUG_OP_START */
/* #undef Xyce_DEBUG_PARALLEL */
/* #undef Xyce_DEBUG_RESTART */
/* #undef Xyce_DEBUG_TIME */
/* #undef Xyce_DEBUG_TOPOLOGY */
/* #undef Xyce_DEBUG_UNITS */
/* #undef Xyce_DEBUG_VOLTLIM */
/* #undef Xyce_Dakota_Debug */
/* #undef Xyce_Dakota_Parallel_Debug */
/* #undef Xyce_GRAPH_DEBUG */

// Troubleshooting
/* #undef Xyce_DEBUG_TESTJAC */

// Use constants from BSIM3 device 
/* #undef Xyce_USE_BSIM3_CONST */

// Set the Xyce version for the code
#define VERSION "D::7.7.0"

#endif 
